# Interface SphereBoundingVolume

interface SphereBoundingVolume {
center: Vector3;
radius: number;
type: "sphere";
applyMatrix4(matrix: Matrix4): SphereBoundingVolume;
clone(): SphereBoundingVolume;
copy(sphereBoundingVolume: SphereBoundingVolume): SphereBoundingVolume;
distanceSquaredToPoint(point: Vector3): number;
distanceToPlane(plane: Plane): number;
distanceToPoint(point: Vector3): number;
fromJson(__namedParameters: SphereBoundingVolumeJson): this;
getBoundingBox(target: Box3): Box3;
getCenter(result: Vector3): Vector3;
intersectPlane(plane: Plane): VolumePlaneIntersect;
intersectRay(ray: Ray, threshold?: number, far?: number): boolean;
toGeometry(): BufferGeometry;
toJson(): SphereBoundingVolumeJson;
}

#### Implements

- BoundingVolume

- Defined in lib/five/utils/volume.ts:469

##### Index

### Properties

center
radius
type

### Methods

applyMatrix4
clone
copy
distanceSquaredToPoint
distanceToPlane
distanceToPoint
fromJson
getBoundingBox
getCenter
intersectPlane
intersectRay
toGeometry
toJson

## Properties

### center

center: Vector3

- Defined in lib/five/utils/volume.ts:472

### radius

radius: number

- Defined in lib/five/utils/volume.ts:473

### type

type: "sphere" = ...

Implementation of BoundingVolume.type

- Defined in lib/five/utils/volume.ts:470

## Methods

### applyMatrix4

- applyMatrix4(matrix: Matrix4): SphereBoundingVolume

  #### Parameters

  - matrix: Matrix4

  #### Returns SphereBoundingVolume

  Implementation of BoundingVolume.applyMatrix4

  - Defined in lib/five/utils/volume.ts:544

### clone

- clone(): SphereBoundingVolume

  #### Returns SphereBoundingVolume

  Implementation of BoundingVolume.clone

  - Defined in lib/five/utils/volume.ts:501

### copy

- copy(sphereBoundingVolume: SphereBoundingVolume): SphereBoundingVolume

  #### Parameters

  - sphereBoundingVolume: SphereBoundingVolume

  #### Returns SphereBoundingVolume

  Implementation of BoundingVolume.copy

  - Defined in lib/five/utils/volume.ts:495

### distanceSquaredToPoint

- distanceSquaredToPoint(point: Vector3): number

  #### Parameters

  - point: Vector3

  #### Returns number

  Implementation of BoundingVolume.distanceSquaredToPoint

  - Defined in lib/five/utils/volume.ts:557

### distanceToPlane

- distanceToPlane(plane: Plane): number

  #### Parameters

  - plane: Plane

  #### Returns number

  Implementation of BoundingVolume.distanceToPlane

  - Defined in lib/five/utils/volume.ts:570

### distanceToPoint

- distanceToPoint(point: Vector3): number

  #### Parameters

  - point: Vector3

  #### Returns number

  Implementation of BoundingVolume.distanceToPoint

  - Defined in lib/five/utils/volume.ts:562

### fromJson

- fromJson(__namedParameters: SphereBoundingVolumeJson): this

  #### Parameters

  - __namedParameters: SphereBoundingVolumeJson

  #### Returns this

  Implementation of BoundingVolume.fromJson

  - Defined in lib/five/utils/volume.ts:480

### getBoundingBox

- getBoundingBox(target: Box3): Box3

  #### Parameters

  - target: Box3

  #### Returns Box3

  Implementation of BoundingVolume.getBoundingBox

  - Defined in lib/five/utils/volume.ts:505

### getCenter

- getCenter(result: Vector3): Vector3

  #### Parameters

  - result: Vector3

  #### Returns Vector3

  Implementation of BoundingVolume.getCenter

  - Defined in lib/five/utils/volume.ts:553

### intersectPlane

- intersectPlane(plane: Plane): VolumePlaneIntersect

  #### Parameters

  - plane: Plane

  #### Returns VolumePlaneIntersect

  Implementation of BoundingVolume.intersectPlane

  - Defined in lib/five/utils/volume.ts:575

### intersectRay

- intersectRay(ray: Ray, threshold?: number, far?: number): boolean

  #### Parameters

  - ray: Ray
  - threshold: number = 0
  - `Optional` far: number

  #### Returns boolean

  Implementation of BoundingVolume.intersectRay

  - Defined in lib/five/utils/volume.ts:593

### toGeometry

- toGeometry(): BufferGeometry

  #### Returns BufferGeometry

  Implementation of BoundingVolume.toGeometry

  - Defined in lib/five/utils/volume.ts:510

### toJson

- toJson(): SphereBoundingVolumeJson

  #### Returns SphereBoundingVolumeJson

  Implementation of BoundingVolume.toJson

  - Defined in lib/five/utils/volume.ts:486